[meta-oe,1/5] directfb: add x11 to REQUIRED_DISTRO_FEATURES

Submitted by Armin Kuster on Oct. 12, 2018, 3:26 p.m. | Patch ID: 155628

Details

Message ID 1539357981-3675-2-git-send-email-akuster808@gmail.com
State Changes Requested
Headers show

Commit Message

Armin Kuster Oct. 12, 2018, 3:26 p.m.
package has depends on vlc and gtk

Signed-off-by: Armin Kuster <akuster808@gmail.com>
---
 meta-oe/recipes-graphics/directfb/directfb.inc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

Patch hide | download patch | download mbox

diff --git a/meta-oe/recipes-graphics/directfb/directfb.inc b/meta-oe/recipes-graphics/directfb/directfb.inc
index 96aa311..cf8f19a 100644
--- a/meta-oe/recipes-graphics/directfb/directfb.inc
+++ b/meta-oe/recipes-graphics/directfb/directfb.inc
@@ -32,7 +32,8 @@  LDFLAGS_append_arm = "${@bb.utils.contains('DISTRO_FEATURES', 'ld-is-gold', ' -f
 
 BINCONFIG = "${bindir}/directfb-config"
 
-inherit autotools binconfig-disabled pkgconfig
+inherit autotools binconfig-disabled pkgconfig distro_features_check
+REQUIRED_DISTRO_FEATURES = "x11"
 
 PACKAGECONFIG ??= "linuxinput"
 PACKAGECONFIG[jpeg2000] = "--enable-jpeg2000,--disable-jpeg2000,jasper"

Comments

Vesa Jääskeläinen Oct. 12, 2018, 5:52 p.m.
On 12/10/2018 18.26, Armin Kuster wrote:

> package has depends on vlc and gtk
>
> Signed-off-by: Armin Kuster <akuster808@gmail.com>
> ---
>   meta-oe/recipes-graphics/directfb/directfb.inc | 3 ++-
>   1 file changed, 2 insertions(+), 1 deletion(-)
>
> diff --git a/meta-oe/recipes-graphics/directfb/directfb.inc b/meta-oe/recipes-graphics/directfb/directfb.inc
> index 96aa311..cf8f19a 100644
> --- a/meta-oe/recipes-graphics/directfb/directfb.inc
> +++ b/meta-oe/recipes-graphics/directfb/directfb.inc
> @@ -32,7 +32,8 @@ LDFLAGS_append_arm = "${@bb.utils.contains('DISTRO_FEATURES', 'ld-is-gold', ' -f
>   
>   BINCONFIG = "${bindir}/directfb-config"
>   
> -inherit autotools binconfig-disabled pkgconfig
> +inherit autotools binconfig-disabled pkgconfig distro_features_check
> +REQUIRED_DISTRO_FEATURES = "x11"
>   
Wrong method?

Quote from:
https://github.com/DirectFB/directfb

"Optionally, depending on the configuration you want:

    FBDev
      - Linux kernel 2.2.x or newer with working frame buffer device
        (check /proc/fb) for the fbdev system.

    SDL
      - libSDL (Simple Direct Media Layer) for the sdl system.

    X11
      - libX11 (X11 client library) for the X11 system (libx11-dev and libxext-dev packages)."
Ross Burton Oct. 12, 2018, 8:34 p.m.
DirectFB depending on X11 would be *very wrong*.

Ross
On Fri, 12 Oct 2018 at 18:52, Vesa Jääskeläinen <dachaac@gmail.com> wrote:
>
> On 12/10/2018 18.26, Armin Kuster wrote:
>
> > package has depends on vlc and gtk
> >
> > Signed-off-by: Armin Kuster <akuster808@gmail.com>
> > ---
> >   meta-oe/recipes-graphics/directfb/directfb.inc | 3 ++-
> >   1 file changed, 2 insertions(+), 1 deletion(-)
> >
> > diff --git a/meta-oe/recipes-graphics/directfb/directfb.inc b/meta-oe/recipes-graphics/directfb/directfb.inc
> > index 96aa311..cf8f19a 100644
> > --- a/meta-oe/recipes-graphics/directfb/directfb.inc
> > +++ b/meta-oe/recipes-graphics/directfb/directfb.inc
> > @@ -32,7 +32,8 @@ LDFLAGS_append_arm = "${@bb.utils.contains('DISTRO_FEATURES', 'ld-is-gold', ' -f
> >
> >   BINCONFIG = "${bindir}/directfb-config"
> >
> > -inherit autotools binconfig-disabled pkgconfig
> > +inherit autotools binconfig-disabled pkgconfig distro_features_check
> > +REQUIRED_DISTRO_FEATURES = "x11"
> >
> Wrong method?
>
> Quote from:
> https://github.com/DirectFB/directfb
>
> "Optionally, depending on the configuration you want:
>
>     FBDev
>       - Linux kernel 2.2.x or newer with working frame buffer device
>         (check /proc/fb) for the fbdev system.
>
>     SDL
>       - libSDL (Simple Direct Media Layer) for the sdl system.
>
>     X11
>       - libX11 (X11 client library) for the X11 system (libx11-dev and libxext-dev packages)."
>
> --
> _______________________________________________
> Openembedded-devel mailing list
> Openembedded-devel@lists.openembedded.org
> http://lists.openembedded.org/mailman/listinfo/openembedded-devel
Armin Kuster Oct. 12, 2018, 9:19 p.m.
On 10/12/2018 10:52 AM, Vesa Jääskeläinen wrote:
> On 12/10/2018 18.26, Armin Kuster wrote:
>
>> package has depends on vlc and gtk
>>
>> Signed-off-by: Armin Kuster <akuster808@gmail.com>
>> ---
>>   meta-oe/recipes-graphics/directfb/directfb.inc | 3 ++-
>>   1 file changed, 2 insertions(+), 1 deletion(-)
>>
>> diff --git a/meta-oe/recipes-graphics/directfb/directfb.inc
>> b/meta-oe/recipes-graphics/directfb/directfb.inc
>> index 96aa311..cf8f19a 100644
>> --- a/meta-oe/recipes-graphics/directfb/directfb.inc
>> +++ b/meta-oe/recipes-graphics/directfb/directfb.inc
>> @@ -32,7 +32,8 @@ LDFLAGS_append_arm =
>> "${@bb.utils.contains('DISTRO_FEATURES', 'ld-is-gold', ' -f
>>     BINCONFIG = "${bindir}/directfb-config"
>>   -inherit autotools binconfig-disabled pkgconfig
>> +inherit autotools binconfig-disabled pkgconfig distro_features_check
>> +REQUIRED_DISTRO_FEATURES = "x11"
>>   
> Wrong method?

How about sending a the "Correct method"?

- armin
>
> Quote from:
> https://github.com/DirectFB/directfb
>
> "Optionally, depending on the configuration you want:
>
>    FBDev
>      - Linux kernel 2.2.x or newer with working frame buffer device
>        (check /proc/fb) for the fbdev system.
>
>    SDL
>      - libSDL (Simple Direct Media Layer) for the sdl system.
>
>    X11
>      - libX11 (X11 client library) for the X11 system (libx11-dev and
> libxext-dev packages)."
>
Adrian Bunk Oct. 13, 2018, 7:48 a.m.
On Fri, Oct 12, 2018 at 08:26:17AM -0700, Armin Kuster wrote:
> package has depends on vlc and gtk
>...

Where does directfb depend on vlc and gtk?

cu
Adrian